% laboratorio 3 de cálculo numérico
% Pregunta 1, llamando a calcular_tiempos y graficando
tiempos = comparar_tiempos(10:10:100);
% tiempo de eliminación gaussiana
plot(tiempos(:,1),'o')
hold on
% tiempo de cálculo inversa
plot(tiempos(:,2),'x')
% tiempo de Cramer
plot(tiempos(:,3),'*')
legend('Gauss','Inversa','Cramer')
% generar un 2do gráfico con las 2 primeras columnas de tiempos
% para ver mejor la diferencia entre el tiempo necesario para
% calcular x con Gauss y mediante inv(A)*b
% solo Gauss e inversa
figure(2)
% tiempo de eliminación gaussiana
plot(tiempos(:,1),'o')
hold on
% tiempo de cálculo inversa
plot(tiempos(:,2),'x')
legend('Gauss','Inversa')